import { nextTick } from 'vue';
import { WrapperAPI } from './types';
import { ErrorWrapper } from './error-wrapper';
import { TriggerOptions } from './create-dom-event';
export declare class DOMWrapper<ElementType extends Element> implements WrapperAPI {
    element: ElementType;
    constructor(element: ElementType);
    classes(className?: any): boolean | string[];
    attributes(key?: string): any;
    exists(): boolean;
    text(): string;
    html(): string;
    find<K extends keyof HTMLElementTagNameMap>(selector: K): DOMWrapper<HTMLElementTagNameMap[K]> | ErrorWrapper;
    find<K extends keyof SVGElementTagNameMap>(selector: K): DOMWrapper<SVGElementTagNameMap[K]> | ErrorWrapper;
    find<T extends Element>(selector: string): DOMWrapper<T> | ErrorWrapper;
    get<K extends keyof HTMLElementTagNameMap>(selector: K): DOMWrapper<HTMLElementTagNameMap[K]>;
    get<K extends keyof SVGElementTagNameMap>(selector: K): DOMWrapper<SVGElementTagNameMap[K]>;
    get<T extends Element>(selector: string): DOMWrapper<T>;
    findAll<K extends keyof HTMLElementTagNameMap>(selector: K): DOMWrapper<HTMLElementTagNameMap[K]>[];
    findAll<K extends keyof SVGElementTagNameMap>(selector: K): DOMWrapper<SVGElementTagNameMap[K]>[];
    findAll<T extends Element>(selector: string): DOMWrapper<T>[];
    private setChecked;
    setValue(value?: any): Promise<typeof nextTick>;
    private setSelected;
    trigger(eventString: string, options?: TriggerOptions): Promise<typeof nextTick>;
}
