import { VNode, ComponentPublicInstance, ComponentOptionsWithObjectProps, ComponentOptionsWithArrayProps, ComponentOptionsWithoutProps, ExtractPropTypes } from 'vue';
import { GlobalMountOptions } from './types';
import { VueWrapper } from './vue-wrapper';
declare type Slot = VNode | string | {
    render: Function;
};
interface MountingOptions<Props> {
    data?: () => Record<string, unknown>;
    props?: Props;
    slots?: {
        default?: Slot;
        [key: string]: Slot;
    };
    global?: GlobalMountOptions;
    attachTo?: HTMLElement | string;
}
export declare function mount<TestedComponent extends ComponentPublicInstance, PublicProps extends TestedComponent['$props']>(originalComponent: new () => TestedComponent, options?: MountingOptions<PublicProps>): VueWrapper<TestedComponent>;
export declare function mount<TestedComponent extends ComponentOptionsWithObjectProps, PublicProps extends ExtractPropTypes<TestedComponent['props']>>(originalComponent: TestedComponent, options?: MountingOptions<PublicProps>): VueWrapper<any>;
export declare function mount<TestedComponent extends ComponentOptionsWithArrayProps, PublicProps extends Record<string, any>>(originalComponent: TestedComponent, options?: MountingOptions<PublicProps>): VueWrapper<any>;
export declare function mount<TestedComponent extends ComponentOptionsWithoutProps, PublicProps extends Record<string, any>>(originalComponent: TestedComponent, options?: MountingOptions<PublicProps>): VueWrapper<any>;
export {};
